

[![npm](https://img.shields.io/npm/v/siwi-logger.svg)](https://www.npmjs.com/package/siwi-logger)

[![npm](https://img.shields.io/npm/dm/siwi-logger.svg)](https://www.npmjs.com/package/siwi-logger)

[![Packagist](https://img.shields.io/packagist/l/doctrine/siwi-logger.svg)](https://www.npmjs.com/package/siwi-logger)

![platform](https://img.shields.io/badge/platforms-All%20JavaScript%20Runtimes-blue.svg)

# siwi-logger
siwi-microservice 微服务 记录日志 按日期分片

* 简单的日志记录 文件流

# Install
## use yarn

`yarn add siwi-logger`

## use npm 
`npm install siwi-logger`

# 初始化 init

* 配置

```js
{
    logger: {
        path: `${process.env.PWD}/logs`,
        expire: 86400*7,
        name: 'siwi-logger'
    }
}
```
# 写日志 log

```js
const Logger = require('../index')
class Example {
    constructor () {
        this.test()
    }
    /**
     * 测试日志
     * 
     * @memberof Test
     */
    async test () {
        // 自定义日志目录
        const config = {
            path: `${process.env.PWD}/test/logs`,
            expire: 86400*7,
            name: 'siwi-logger'
        }
        await Logger.init(config)
        await Logger.log('很好的是Good')
    }

}

module.exports = new Example()
```



