/**
 * @author [siwi]
 * @email [siwi@siwi.me]
 * @create date 2017-08-19 07:28:44
 * @modify date 2017-08-19 07:28:44
 * @desc [logger test]
*/
'use strict'

const Logger = require('../index')

class Test {
    constructor () {
        this.test()
    }
    /**
     * 测试日志
     * 
     * @memberof Test
     */
    async test () {
        // 自定义日志目录
        const config = {
            path: `${process.env.PWD}/test/logs`,
            expire: 86400*7,
            name: 'siwi-logger'
        }
        await Logger.init(config)
        await Logger.log('很好的是Good')
    }

}

module.exports = new Test()